Call a named CPlane in RhinoPython script?

Is there a way to call a Rhino named CPlane in RhinoPython script? I have been using a script that creates rectangular pipes from curves, but it always defaults to the World Top CPlane and my model is rotated at an angle. When I create vertical pipes they remain orthogonal to WorldTop (WorldXY).
Thanks!

Hi,
I haven’t tried it but this ought to let you give the coordinates in cplane reference:

https://developer.rhino3d.com/api/RhinoScriptSyntax/#collapse-XformCPlaneToWorld

Hello - see

import scriptcontext as sc
sc.doc.NamedConstructionPlanes()

OR

import rhinoscriptsyntax as rs
rs.NamedCPlanes()

-Pascal